
#!/usr/bin/env python
# -*- encoding: utf-8 -*-
'''
@Contact :   liuyuqi.gov@msn.cn
@Time    :   2023/05/30 01:26:35
@License :   Copyright © 2017-2022 liuyuqi. All Rights Reserved.
@Desc    :   enter point
'''

import argparse
from beike import Beike

if __name__=='__main__':
    parser = argparse.ArgumentParser(description='beike')
    parser.add_argument('--version', '-v', action='version', version='%(prog)s 1.0')
    parser.add_argument('--website', '-web', type=str, default='beike', help='crawl which website, default is beike,lianjia')
    parser.add_argument('--city', '-c', type=str, default='bj', help='crawl which city, default is bj')
    parser.add_argument('--save_type', '-save', type=str, default='xiaoqu', help='save which type, default is csv. csv,mysql,excel')
    args=parser.parse_args()
    if args.website == 'beike':
        beike = Beike(args.city, args.save_type)
        beike.run()
    elif args.website == 'lianjia':
        pass
    elif args.website == 'fangtianxia':
        pass
    elif args.website == 'anjuke':
        pass
    elif args.website == '58':
        pass